{
  "name": "backend",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "build": "rimraf dist && tsc",
    "start": "npm run build && node dist/main.js",
    "dev": "ts-node -r tsconfig-paths/register src/main.ts",
    "typeorm": "typeorm-ts-node-commonjs -d dist/data-source.js",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@nestjs/common": "^11.1.3",
    "@nestjs/core": "^11.1.3",
    "@nestjs/passport": "^11.0.5",
    "@nestjs/platform-express": "^11.1.3",
    "@nestjs/typeorm": "^11.0.0",
    "bcrypt": "^6.0.0",
    "class-validator": "^0.14.2",
    "jsonwebtoken": "^9.0.2",
    "passport": "^0.7.0",
    "passport-jwt": "^4.0.1",
    "pg": "^8.16.0",
    "reflect-metadata": "^0.2.2",
    "rxjs": "^7.8.2",
    "typeorm": "^0.3.24",
    "uid": "^2.0.2"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.0",
    "@types/passport-jwt": "^4.0.1",
    "rimraf": "^6.0.1",
    "ts-node": "^10.9.2",
    "tsconfig-paths": "^4.2.0",
    "typescript": "^5.8.3"
  }
}
